cvsd(8)

NAME
cvsd - chroot wrapper to run ‘cvs pserver’ more securely.

SYNOPSIS
cvsd [options]

DESCRIPTION
cvsd is a wrapper program for cvs in pserver mode. it will run ‘cvs pserver’ under a special uid/gid in a chroot jail. cvsd is run as a daemon and is controlled through a configuration file (see cvsd.conf(5) ). It is relatively easy to configure and tools are provided for easily setting up a chroot jail (see cvsd-buildroot(8) ) and managing repositories (see cvsd-passwd(8) ). See the README for more information and details to setting up a chroot jail and repositories.

OPTIONS
cvsd accepts the following options:

-f, --config=FILE
    Use FILE as configfile (default is @CONFIGFILE@).

--nofork
    cvsd will not put itself in the background.

-d, --debug
    Enable debugging mode. cvsd will not put itself in the background and sends verbose debugging info to stderr. Otherwise cvsd handles connections as usual. This option is for debugging purposes only.

--help
    Display short help and exit.

-V, --version
    Output version information and exit.

SEE ALSO
cvsd.conf(5) cvsd-buildroot(8) cvsd-passwd(8)

FILES
@CONFIGFILE@ - the configuration file (see cvsd.conf(5) )

AUTHOR
Arthur de Jong <arthur@arthurdejong.org>.